Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.video.VideoEncoderConfiguration.VIDEO_CODEC_TYPE Enum Reference

Video codec types. More...

## Public Member Functions
int | getValue ()

## Public Attributes
| VIDEO_CODEC_NONE =(0)
| VIDEO_CODEC_VP8 =(1)
| VIDEO_CODEC_H264 =(2)
| VIDEO_CODEC_H265 =(3)
| VIDEO_CODEC_GENERIC =(6)
| VIDEO_CODEC_AV1 =(12)
| VIDEO_CODEC_VP9 =(13)
| VIDEO_CODEC_GENERIC_JPEG =(20)

## Detailed Description

Video codec types.

## Member Data Documentation

## ◆ VIDEO_CODEC_NONE

io.agora.rtc2.video.VideoEncoderConfiguration.VIDEO_CODEC_TYPE.VIDEO_CODEC_NONE =(0)

0: (Default) Unspecified codec format. The SDK automatically matches the appropriate codec format based on the current video stream's resolution and device performance.

## ◆ VIDEO_CODEC_VP8

io.agora.rtc2.video.VideoEncoderConfiguration.VIDEO_CODEC_TYPE.VIDEO_CODEC_VP8 =(1)

1: Standard VP8.

## ◆ VIDEO_CODEC_H264

io.agora.rtc2.video.VideoEncoderConfiguration.VIDEO_CODEC_TYPE.VIDEO_CODEC_H264 =(2)

2: Standard H.264.

## ◆ VIDEO_CODEC_H265

io.agora.rtc2.video.VideoEncoderConfiguration.VIDEO_CODEC_TYPE.VIDEO_CODEC_H265 =(3)

3: Standard H.265.

## ◆ VIDEO_CODEC_GENERIC

io.agora.rtc2.video.VideoEncoderConfiguration.VIDEO_CODEC_TYPE.VIDEO_CODEC_GENERIC =(6)

6: Generic. This type is used for transmitting raw video data, such as encrypted video frames. The SDK returns this type of video frames in callbacks, and you need to decode and render the frames yourself.

## ◆ VIDEO_CODEC_AV1

io.agora.rtc2.video.VideoEncoderConfiguration.VIDEO_CODEC_TYPE.VIDEO_CODEC_AV1 =(12)

12: AV1. @technical preview

## ◆ VIDEO_CODEC_VP9

io.agora.rtc2.video.VideoEncoderConfiguration.VIDEO_CODEC_TYPE.VIDEO_CODEC_VP9 =(13)

13: VP9.

## ◆ VIDEO_CODEC_GENERIC_JPEG

io.agora.rtc2.video.VideoEncoderConfiguration.VIDEO_CODEC_TYPE.VIDEO_CODEC_GENERIC_JPEG =(20)

20: Generic JPEG. This type consumes minimum computing resources and applies to IoT devices.